---
title: "Pages the certificates issued to the customer."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo customer API › certificate

`GET /v1/stores/{store}/products/{product}/certificates`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `read`

## Path parameters

- `store` (`listProductCertificates.path.store`; string, required) — A hostname of the store.
- `product` (`listProductCertificates.path.product`; string, required) — An id, or `slug:<slug>`.
  - minLength 1

## Query parameters

- `filter` (`listProductCertificates.query.filter`; object, optional) — `filter[<field>]=<value>` is an equality, `filter[<field>][<op>]=<value>` names the operator; `in` repeats the parameter.
- `sort` (`listProductCertificates.query.sort`; string, optional)
  - one of `"issued"`
- `direction` (`listProductCertificates.query.direction`; string, optional)
  - one of `"asc"`, `"desc"`
- `limit` (`listProductCertificates.query.limit`; integer, optional)
  - min 1; max 100
- `cursor` (`listProductCertificates.query.cursor`; string, optional)
  - maxLength 8192
- `count` (`listProductCertificates.query.count`; boolean, optional)

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/certificates' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/certificates';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/certificates"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Pages the certificates issued to the customer.

#### Example

```json
{
  "total": 0,
  "items": [
    {
      "holder": "string",
      "certificate": {
        "entry_id": "string",
        "id": "string",
        "product_id": "string",
        "quiz_id": "string",
        "headline_copy": "string",
        "title_copy": "string",
        "awarded_copy": "string",
        "reason_copy": "string",
        "score_copy": "string",
        "out_of_score_copy": "string",
        "settings": {
          "requires_passing": true,
          "shows": [
            "string"
          ],
          "template": "string",
          "accent": "string"
        }
      },
      "product": {
        "id": "string",
        "slug": "string",
        "path": "string",
        "url": "string",
        "title": "string",
        "category": "string",
        "deleted": true
      },
      "id": "string",
      "product_id": "string",
      "certificate_id": "string",
      "score": 0,
      "attempt": 0,
      "issued_at": "string"
    }
  ],
  "cursor": "string"
}
```

- `items` (`listProductCertificates.response.200.items`; array<object>, required)
  - `holder` (`listProductCertificates.response.200.items.holder`; any of, required)
    - any of: `string`, `null`
  - `certificate` (`listProductCertificates.response.200.items.certificate`; object, required)
    - `entry_id` (`listProductCertificates.response.200.items.certificate.entry_id`; any of, required)
      - any of: `string`, `null`
    - `id` (`listProductCertificates.response.200.items.certificate.id`; string, required)
    - `product_id` (`listProductCertificates.response.200.items.certificate.product_id`; string, required)
    - `quiz_id` (`listProductCertificates.response.200.items.certificate.quiz_id`; any of, required)
      - any of: `string`, `null`
    - `headline_copy` (`listProductCertificates.response.200.items.certificate.headline_copy`; string, required)
    - `title_copy` (`listProductCertificates.response.200.items.certificate.title_copy`; any of, required)
      - any of: `string`, `null`
    - `awarded_copy` (`listProductCertificates.response.200.items.certificate.awarded_copy`; any of, required)
      - any of: `string`, `null`
    - `reason_copy` (`listProductCertificates.response.200.items.certificate.reason_copy`; any of, required)
      - any of: `string`, `null`
    - `score_copy` (`listProductCertificates.response.200.items.certificate.score_copy`; any of, required)
      - any of: `string`, `null`
    - `out_of_score_copy` (`listProductCertificates.response.200.items.certificate.out_of_score_copy`; any of, required)
      - any of: `string`, `null`
    - `settings` (`listProductCertificates.response.200.items.certificate.settings`; object, required)
      - `requires_passing` (`listProductCertificates.response.200.items.certificate.settings.requires_passing`; boolean, required)
      - `shows` (`listProductCertificates.response.200.items.certificate.settings.shows`; array<string>, required)
      - `template` (`listProductCertificates.response.200.items.certificate.settings.template`; string, required)
      - `accent` (`listProductCertificates.response.200.items.certificate.settings.accent`; any of, required)
        - any of: `string`, `null`
  - `product` (`listProductCertificates.response.200.items.product`; any of, required)
    - any of: `object`, `null`
  - `id` (`listProductCertificates.response.200.items.id`; string, required)
  - `product_id` (`listProductCertificates.response.200.items.product_id`; string, required)
  - `certificate_id` (`listProductCertificates.response.200.items.certificate_id`; string, required)
  - `score` (`listProductCertificates.response.200.items.score`; any of, required)
    - any of: `number`, `null`
  - `attempt` (`listProductCertificates.response.200.items.attempt`; any of, required)
    - any of: `number`, `null`
  - `issued_at` (`listProductCertificates.response.200.items.issued_at`; string, required)
- `cursor` (`listProductCertificates.response.200.cursor`; any of, required)
  - any of: `string`, `null`
- `total` (`listProductCertificates.response.200.total`; number, optional)

### default

A problem; see https://api.sherpo.io/customer/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`listProductCertificates.response.default.type`; string, required)
  - format `uri`
- `title` (`listProductCertificates.response.default.title`; string, required)
- `status` (`listProductCertificates.response.default.status`; integer, required)
- `detail` (`listProductCertificates.response.default.detail`; string, required)
- `code` (`listProductCertificates.response.default.code`; string, optional)
- `context` (`listProductCertificates.response.default.context`; object, optional)
- `reached_core` (`listProductCertificates.response.default.reached_core`; boolean, optional)
- `core_answer` (`listProductCertificates.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/customer-api/reference/list-product-certificates/index.md
